import { GetKubeConfigOptions } from './get-kubeconfig-options.js';
export declare class GetKubeConfigOptionsBuilder {
    private _name?;
    private _internal?;
    private constructor();
    static builder(): GetKubeConfigOptionsBuilder;
    /**
     * Set the name of the cluster (default "kind").
     * @param name
     */
    name(name: string): GetKubeConfigOptionsBuilder;
    /**
     * Set whether to use internal or external address (default false).
     * @param internal
     */
    internal(internal: boolean): GetKubeConfigOptionsBuilder;
    /**
     * Build the ExportLogsOptions instance.
     */
    build(): GetKubeConfigOptions;
    static from(options: GetKubeConfigOptions): GetKubeConfigOptionsBuilder;
}
